View Issue Details

IDProjectCategoryView StatusLast Update
0001222OpenFOAM[All Projects] Bugpublic2014-12-22 18:36
ReporterwyldckatAssigned Tohenry 
PrioritylowSeverityminorReproducibilityN/A
Status resolvedResolutionfixed 
Product Version 
Fixed in Version 
Summary0001222: Header filename collision found: linear.H
DescriptionAfter compiling the main "combustionModels" library, upon inspection of the file "src/combustionModels/diffusion/diffusions.dep", this can be seen near the end of the file:


  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fv.H
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.H
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.C
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
  diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gaussGrad.C


The problem here is that the correct "linear*.[CH]" files that it should be listed, are the ones at "src/finiteVolume/lnInclude".

Technically, in probably 99.99% of Linux Distributions, the issue only affects the build priorities, where any changes to these files located in "specie", will trigger the need to build the "combustionModels" library. C++ compilers usually don't have this issue, since they will first look for the neighbour header files first (i.e., inside the same folder) and only then look into the broader search path.
Therefore, from one point of view, the problem is in the "wmkdep" source code.


But when inspecting the repeated file names, it makes one wonder:
 1- Why is the header file "src/thermophysicalModels/specie/equationOfState/linear/linear.H" not named "perfect.H"?
    Answer: It was copy-paste-changed from "Foam::perfectFluid", back in OpenFOAM 2.2.x. Therefore, the comment might be incorrect.

 2- Why is it in the main namespace "Foam::linear", when it's part of the thermodynamic models?
 2.a- Worse even is that "src/finiteVolume/interpolation/surfaceInterpolation/schemes/linear/linear.H" is also "Foam::linear"!?


Additional InformationThe following command can help find other repeated filenames:

  find . -type f | sed -e 's=.*/==' | sort | uniq -c | grep -v -e "1"


The only reason why I found this out was because I'm trying to build in a file-system that does not support symbolic links, therefore I changed to placing small files with a single "#include" line since the folder "lnInclude".
TagsNo tags attached.

Activities

wyldckat

2014-03-14 10:06

updater   ~0002946

Quick note: I simply placed the path to "finiteVolume" as the first in "Make/options" and it solved the problem regarding the ".dep" file.

wyldckat

2014-08-14 18:14

updater  

wmake_src.diff (7,646 bytes)
diff --git a/wmake/src/wmkdep.l b/wmake/src/wmkdep.l
index 3b69732..d1e6917 100644
--- a/wmake/src/wmkdep.l
+++ b/wmake/src/wmkdep.l
@@ -147,6 +147,13 @@ struct HashEntry* visitedFiles[HASH_TABLE_SIZE];
 struct HashEntry* visitedDirs[HASH_TABLE_SIZE];
 
 
+int currentBuffer = 0;                     /* Buffer pointer stack counter */
+YY_BUFFER_STATE buffers[FILE_STACK_SIZE];  /* Buffer pointer stack */
+
+/* Directory path for the file loaded on the respective buffer pointer stack */
+char* buffers_dirpath[FILE_STACK_SIZE];
+
+
 int main(int argc, char* argv[])
 {
     char *basePos, *dotPos;
@@ -248,6 +255,9 @@ int main(int argc, char* argv[])
         free(objectFile);
     }
 
+    /* Just in case, avoid memory garbage */
+    buffers_dirpath[currentBuffer] = NULL;
+
     nextFile(sourceFile);
     yylex();
 
@@ -265,10 +275,6 @@ int main(int argc, char* argv[])
 }
 
 
-int currentBuffer = 0;                     /* Buffer pointer stack counter */
-YY_BUFFER_STATE buffers[FILE_STACK_SIZE];  /* Buffer pointer stack */
-
-
 /*
  * Add a directory name to the file name
  */
@@ -313,6 +319,28 @@ void nextFile(const char* fileName)
     /* Pointer to new file which is set if the file is successfully opened */
     FILE* newyyin = NULL;
 
+    /* First check if the file is on the same path as the file on the current buffer */
+    if(buffers_dirpath[currentBuffer]!=NULL)
+    {
+        char* pathName = addDirectoryName(buffers_dirpath[currentBuffer], fileName);
+
+        if ((newyyin = fopen(pathName, "r")))
+        {
+            printf("%s: %s\n", depFile, pathName);
+            buffers[currentBuffer++] = YY_CURRENT_BUFFER;
+            yy_switch_to_buffer(yy_create_buffer(newyyin, YY_BUF_SIZE));
+
+            buffers_dirpath[currentBuffer] = buffers_dirpath[currentBuffer-1];
+
+            free(pathName);
+
+            return;
+        }
+
+        free(pathName);
+    }
+
+    
     if (!(newyyin = fopen(fileName, "r")))
     {
         int d;
@@ -326,6 +354,8 @@ void nextFile(const char* fileName)
                 buffers[currentBuffer++] = YY_CURRENT_BUFFER;
                 yy_switch_to_buffer(yy_create_buffer(newyyin, YY_BUF_SIZE));
 
+                buffers_dirpath[currentBuffer] = directories[d];
+                
                 free(pathName);
 
                 return;
@@ -366,6 +396,8 @@ void nextFile(const char* fileName)
 
         buffers[currentBuffer++] = YY_CURRENT_BUFFER;
         yy_switch_to_buffer(yy_create_buffer(newyyin, YY_BUF_SIZE));
+
+        buffers_dirpath[currentBuffer] = NULL;
     }
 }
 
diff --git a/wmake/src/wmkdepend.cpp b/wmake/src/wmkdepend.cpp
index e4fe46c..445fce9 100644
--- a/wmake/src/wmkdepend.cpp
+++ b/wmake/src/wmkdepend.cpp
@@ -166,7 +166,7 @@ int main(int argc, char* argv[])
     wmake::Parser::sourceFile = sourceFile;
     wmake::Parser::depFile = depFile;
 
-    wmake::Parser::includeFile(sourceFile);
+    wmake::Parser::includeFile(sourceFile, std::string());
 
     return 0;
 }
diff --git a/wmake/src/wmkdependParser.cpp b/wmake/src/wmkdependParser.cpp
index 0984a56..0c935a0 100644
--- a/wmake/src/wmkdependParser.cpp
+++ b/wmake/src/wmkdependParser.cpp
@@ -77,7 +77,7 @@ void Parser::ignoreDir(const std::string& name)
 }
 
 
-void Parser::includeFile(const std::string& name)
+void Parser::includeFile(const std::string& name, const std::string& dirPath)
 {
     if (!visitedFiles.insert(name).second)
     {
@@ -85,10 +85,26 @@ void Parser::includeFile(const std::string& name)
     }
 
     // use stdio and buffering within Coco/R -- (faster)
-    FILE *fh = fopen(name.c_str(), "r");
+    FILE *fh = NULL;
+    std::string newReferenceDirPath;
+    std::string actualName = name;
+    
+    if(!dirPath.empty())
+    {
+        const std::string pathName = dirPath + name;
+
+        fh = fopen(pathName.c_str(), "r");
+        newReferenceDirPath = dirPath;
+        actualName = pathName;
+    }
+    else
+    {
+        fh = fopen(name.c_str(), "r");
+    }
+    
     if (fh)
     {
-        std::cout << depFile << ": " << name << "\n";
+        std::cout << depFile << ": " << actualName << "\n";
     }
     else
     {
@@ -105,6 +121,7 @@ void Parser::includeFile(const std::string& name)
             if (fh)
             {
                 std::cout << depFile << ": " << pathName << "\n";
+                newReferenceDirPath = *iter;
                 break;
             }
         }
@@ -115,7 +132,7 @@ void Parser::includeFile(const std::string& name)
         Scanner scanner(fh);
         Parser  parser(&scanner);
 
-        parser.Parse();
+        parser.Parse(newReferenceDirPath);
         fclose(fh);
     }
     else
@@ -153,7 +170,7 @@ void Parser::importFile(const std::string& name)
     dotToSlash(javaFileName);
     javaFileName += ".java";
 
-    includeFile(javaFileName);
+    includeFile(javaFileName, std::string());
 }
 
 
@@ -182,7 +199,7 @@ void Parser::importDir(const std::string& name)
             if (ext && strlen(ext) == 5)
             {
                 std::string pathName = dirName + list->d_name;
-                includeFile(pathName);
+                includeFile(pathName, dirName);
             }
         }
 
@@ -341,11 +358,11 @@ void Parser::wmkdepend()
 					Get();
 					if (isUTF8())
 					{
-					    includeFile(t->toStringUTF8(1, t->length()-2));
+					    includeFile(t->toStringUTF8(1, t->length()-2), bufferedPath);
 					}
 					else
 					{
-					    includeFile(t->toString(1, t->length()-2));
+					    includeFile(t->toString(1, t->length()-2), bufferedPath);
 					}
 
 				}
@@ -363,11 +380,11 @@ void Parser::wmkdepend()
 				Get();
 				if (isUTF8())
 				{
-				    includeFile(t->toStringUTF8(1, t->length()-2));
+				    includeFile(t->toStringUTF8(1, t->length()-2), bufferedPath);
 				}
 				else
 				{
-				    includeFile(t->toString(1, t->length()-2));
+				    includeFile(t->toString(1, t->length()-2), bufferedPath);
 				}
 
 			}
@@ -425,8 +442,11 @@ void Parser::wmkdepend()
 
 
 
-void Parser::Parse()
+void Parser::Parse(const std::string& refDirPath)
 {
+    //keep record of the first reference directory path
+    bufferedPath = refDirPath;
+
 	t = NULL;
 	// might call Parse() twice
 	if (dummyToken) {
@@ -446,6 +466,7 @@ Parser::Parser(Scanner* scan, Errors* err)
 	dummyToken(NULL),
 	deleteErrorsDestruct_(!err),
 	errDist(minErrDist),
+	bufferedPath(),
 	scanner(scan),
 	errors(err),
 	t(NULL),
diff --git a/wmake/src/wmkdependParser.h b/wmake/src/wmkdependParser.h
index 2285efa..d137378 100644
--- a/wmake/src/wmkdependParser.h
+++ b/wmake/src/wmkdependParser.h
@@ -104,6 +104,9 @@ class Parser
 	Token *dummyToken;
 	bool deleteErrorsDestruct_; //!< delete the 'errors' member in destructor
 	int  errDist;
+  
+    //! path for the directory where the buffered file is located
+    std::string bufferedPath;
 
 	void SynErr(int n);         //!< Handle syntax error 'n'
 	void Get();
@@ -150,7 +153,8 @@ public:
     static void ignoreDir(const std::string& name);
 
     //! Include file
-    static void includeFile(const std::string& name);
+    static void includeFile(const std::string& name,
+                            const std::string& dirPath);
 
 /*---------------------------------------------------------------------------*/
 
@@ -161,7 +165,7 @@ public:
 	 */
 	Parser(Scanner* scan, Errors* err = 0);
 	~Parser();
-	void Parse();                          //!< Execute the parse operation
+	void Parse(const std::string& refDirPath); //!< Execute the parse operation
 	void SemErr(const std::wstring& msg);  //!< Handle semantic error
 	bool isUTF8() const;   //!< Return true if scanner buffer is UTF8
 
wmake_src.diff (7,646 bytes)

wyldckat

2014-08-14 18:14

updater  

changes_in_resulting_dep_files.diff (210,182 bytes)
diff --git a/applications/solvers/combustion/PDRFoam/PDRFoam.dep b/applications/solvers/combustion/PDRFoam/PDRFoam.dep
index 3f15f6c..5781760 100644
--- a/applications/solvers/combustion/PDRFoam/PDRFoam.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRFoam.dep
@@ -503,9 +503,7 @@ PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchFie
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-PDRFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 PDRFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep b/applications/solvers/combustion/PDRFoam/PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep
index c364589..ffeb273 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep
@@ -547,9 +547,7 @@ PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/fi
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/XiEqModels/basicXiSubXiEq/basicXiSubXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep b/applications/solvers/combustion/PDRFoam/PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep
index 3f4aeaf..14d86a5 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep
@@ -547,9 +547,7 @@ PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVol
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/XiGModels/basicXiSubG/basicXiSubG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModel.dep b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModel.dep
index 64eba39..03b9f24 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModel.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModel.dep
@@ -546,9 +546,7 @@ PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finite
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/dragModels/PDRDragModel/PDRDragModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep
index 90ddf12..eff3ad4 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep
@@ -546,9 +546,7 @@ PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/fin
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/dragModels/PDRDragModel/PDRDragModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/basic/basic.dep b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/basic/basic.dep
index 7fd2bf1..90b185d 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/basic/basic.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/dragModels/basic/basic.dep
@@ -547,9 +547,7 @@ PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclu
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/dragModels/basic/basic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep b/applications/solvers/combustion/PDRFoam/PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep
index cc5adba..8be42ae 100644
--- a/applications/solvers/combustion/PDRFoam/PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep
+++ b/applications/solvers/combustion/PDRFoam/PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep
@@ -539,9 +539,7 @@ PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVo
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 PDRModels/turbulence/PDRkEpsilon/PDRkEpsilon.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/Gulder/Gulder.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/Gulder/Gulder.dep
index 65a83d7..a001100 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/Gulder/Gulder.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/Gulder/Gulder.dep
@@ -547,9 +547,7 @@ XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnIncl
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/Gulder/Gulder.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep
index be19cd0..a4d869f 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep
@@ -547,9 +547,7 @@ XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/fin
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/SCOPEBlendXiEq/SCOPEBlendXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep
index 3f189cd..d195dcb 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep
@@ -547,9 +547,7 @@ XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/SCOPEXiEq/SCOPEXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModel.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModel.dep
index f881616..20e074e 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModel.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModel.dep
@@ -546,9 +546,7 @@ XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/XiEqModel/XiEqModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep
index fbc2295..14bfbb7 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep
@@ -546,9 +546,7 @@ XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolu
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/XiEqModel/XiEqModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep
index c5751e8..b36a037 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep
@@ -547,9 +547,7 @@ XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/f
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiEqModels/instabilityXiEq/instabilityXiEq.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/KTS/KTS.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/KTS/KTS.dep
index 13d11b5..25f8ec5 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/KTS/KTS.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/KTS/KTS.dep
@@ -547,9 +547,7 @@ XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/con
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiGModels/KTS/KTS.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModel.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModel.dep
index 477ccad..1e66303 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModel.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModel.dep
@@ -546,9 +546,7 @@ XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnI
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiGModels/XiGModel/XiGModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModelNew.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModelNew.dep
index b28f421..bd7628e 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModelNew.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/XiGModel/XiGModelNew.dep
@@ -546,9 +546,7 @@ XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiGModels/XiGModel/XiGModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/instabilityG/instabilityG.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/instabilityG/instabilityG.dep
index a7548bc..73fe227 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/instabilityG/instabilityG.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiGModels/instabilityG/instabilityG.dep
@@ -547,9 +547,7 @@ XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVo
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiGModels/instabilityG/instabilityG.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModel.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModel.dep
index 862a699..9b9eb3c 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModel.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModel.dep
@@ -546,9 +546,7 @@ XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/conve
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiModel/XiModel.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModelNew.dep b/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModelNew.dep
index 8cd9d00..be5c5e7 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModelNew.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/XiModel/XiModelNew.dep
@@ -546,9 +546,7 @@ XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/co
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/XiModel/XiModelNew.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/algebraic/algebraic.dep b/applications/solvers/combustion/PDRFoam/XiModels/algebraic/algebraic.dep
index ca46f17..8e6cdb7 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/algebraic/algebraic.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/algebraic/algebraic.dep
@@ -547,9 +547,7 @@ XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/c
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/algebraic/algebraic.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/fixed/fixed.dep b/applications/solvers/combustion/PDRFoam/XiModels/fixed/fixed.dep
index ef9bb35..d1b5c35 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/fixed/fixed.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/fixed/fixed.dep
@@ -547,9 +547,7 @@ XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectio
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/fixed/fixed.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/PDRFoam/XiModels/transport/transport.dep b/applications/solvers/combustion/PDRFoam/XiModels/transport/transport.dep
index 8f959fb..8affc49 100644
--- a/applications/solvers/combustion/PDRFoam/XiModels/transport/transport.dep
+++ b/applications/solvers/combustion/PDRFoam/XiModels/transport/transport.dep
@@ -547,9 +547,7 @@ XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/c
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 XiModels/transport/transport.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/applications/solvers/combustion/coldEngineFoam/coldEngineFoam.dep b/applications/solvers/combustion/coldEngineFoam/coldEngineFoam.dep
index 730cee4..40de793 100644
--- a/applications/solvers/combustion/coldEngineFoam/coldEngineFoam.dep
+++ b/applications/solvers/combustion/coldEngineFoam/coldEngineFoam.dep
@@ -503,9 +503,7 @@ coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvP
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 coldEngineFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/icoUncoupledKinematicParcelDyMFoam.dep b/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/icoUncoupledKinematicParcelDyMFoam.dep
index 95a5390..042d2e7 100644
--- a/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/icoUncoupledKinematicParcelDyMFoam.dep
+++ b/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelDyMFoam/icoUncoupledKinematicParcelDyMFoam.dep
@@ -503,9 +503,7 @@ icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInc
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 icoUncoupledKinematicParcelDyMFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelFoam.dep b/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelFoam.dep
index bb2d5ae..7f4a84e 100644
--- a/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelFoam.dep
+++ b/applications/solvers/lagrangian/icoUncoupledKinematicParcelFoam/icoUncoupledKinematicParcelFoam.dep
@@ -503,9 +503,7 @@ icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclud
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 icoUncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/applications/solvers/lagrangian/uncoupledKinematicParcelFoam/uncoupledKinematicParcelFoam.dep b/applications/solvers/lagrangian/uncoupledKinematicParcelFoam/uncoupledKinematicParcelFoam.dep
index be0563e..ef3d533 100644
--- a/applications/solvers/lagrangian/uncoupledKinematicParcelFoam/uncoupledKinematicParcelFoam.dep
+++ b/applications/solvers/lagrangian/uncoupledKinematicParcelFoam/uncoupledKinematicParcelFoam.dep
@@ -503,9 +503,7 @@ uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/z
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 uncoupledKinematicParcelFoam.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControl/cellShapeControl.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControl/cellShapeControl.dep
index 0fc9914..8210239 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControl/cellShapeControl.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControl/cellShapeControl.dep
@@ -460,9 +460,9 @@ cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/indexedCellI.H
 cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/indexedCell.C
 cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/cellShapeControl/cellShapeControl.dep: PrintTable/PrintTable.H
-cellShapeControl/cellShapeControl/cellShapeControl.dep: PrintTable/PrintTableI.H
-cellShapeControl/cellShapeControl/cellShapeControl.dep: PrintTable/PrintTable.C
+cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/PrintTable.H
+cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/PrintTableI.H
+cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/PrintTable.C
 cellShapeControl/cellShapeControl/cellShapeControl.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/cellShapeControl/cellShapeControl.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/cellShapeControl/cellShapeControl.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep
index e8710a6..fb1b294 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep
@@ -455,9 +455,9 @@ cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/indexe
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/indexedCell.C
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: PrintTable/PrintTable.H
-cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: PrintTable/PrintTableI.H
-cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: PrintTable/PrintTable.C
+cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/PrintTable.H
+cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/PrintTableI.H
+cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/PrintTable.C
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/cellShapeControlMesh/cellShapeControlMesh.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep
index fa052f6..9cc5cff 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep
@@ -463,9 +463,9 @@ cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: l
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/DelaunayMesh.H
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: PrintTable/PrintTable.H
-cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: PrintTable/PrintTableI.H
-cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: PrintTable/PrintTable.C
+cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/PrintTable.H
+cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/PrintTableI.H
+cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/PrintTable.C
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/cellSizeAndAlignmentControl/cellSizeAndAlignmentControls.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep
index 8468e8b..55b408f 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep
@@ -463,9 +463,9 @@ cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchable
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/DelaunayMesh.H
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: PrintTable/PrintTable.H
-cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: PrintTable/PrintTableI.H
-cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: PrintTable/PrintTable.C
+cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/PrintTable.H
+cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/PrintTableI.H
+cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/PrintTable.C
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/cellSizeAndAlignmentControl/searchableSurfaceControl/searchableSurfaceControl.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep
index 7cd8bd1..a83d1fa 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep
@@ -461,9 +461,9 @@ cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/inde
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/indexedCell.C
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: PrintTable/PrintTable.H
-cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: PrintTable/PrintTableI.H
-cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: PrintTable/PrintTable.C
+cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/PrintTable.H
+cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/PrintTableI.H
+cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/PrintTable.C
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/controlMeshRefinement/controlMeshRefinement.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep
index 803131d..9259291 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep
@@ -456,9 +456,9 @@ cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/inde
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/indexedCell.C
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/DelaunayMeshI.H
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/DelaunayMesh.C
-cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: PrintTable/PrintTable.H
-cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: PrintTable/PrintTableI.H
-cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: PrintTable/PrintTable.C
+cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/PrintTable.H
+cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/PrintTableI.H
+cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/PrintTable.C
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellShapeControl/smoothAlignmentSolver/smoothAlignmentSolver.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep
index 2d5c07f..3686b70 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep
@@ -462,9 +462,9 @@ cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep:
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/cellSizeFunction/cellSizeFunction.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep
index 6a1e6a4..85a5029 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep
@@ -463,9 +463,9 @@ cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnIn
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/linearDistance/linearDistance.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep
index aa57cd4..f24d276 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep
@@ -463,9 +463,9 @@ cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnIncl
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/linearSpatial/linearSpatial.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep
index 32a0a9b..2dd1430 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep
@@ -463,9 +463,9 @@ cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffs
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/surfaceOffsetLinearDistance/surfaceOffsetLinearDistance.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep
index 78fa435..45b81a6 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep
@@ -463,9 +463,9 @@ cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/Distribu
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/uniform/uniform.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep
index 630ceff..e0e98e5 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep
@@ -463,9 +463,9 @@ cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: ln
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/DelaunayMesh.H
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/DelaunayMeshI.H
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/DelaunayMesh.C
-cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: PrintTable/PrintTable.H
-cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: PrintTable/PrintTableI.H
-cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: PrintTable/PrintTable.C
+cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/PrintTable.H
+cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/PrintTableI.H
+cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/PrintTable.C
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cellSizeControlSurfaces/cellSizeFunction/uniformDistance/uniformDistance.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMesh.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMesh.dep
index 086d100..0d7d3d9 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMesh.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMesh.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/DistributedDelaunayMesh
 conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMesh.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMesh.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMesh.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMesh.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMesh.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMesh.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep
index e88bc97..9eab672 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/Distributed
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshCalcDualMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep
index 5940932..6c1fa2b 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/Distrib
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshConformToSurface.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep
index 12908c1..403fc57 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/Distribute
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshFeaturePoints.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshIO.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshIO.dep
index 4470bfe..7af80ac 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshIO.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshIO.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/DistributedDelaunayMe
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMeshIO.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMeshIO.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMeshIO.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMeshIO.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshIO.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshZones.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshZones.dep
index 493c41f..3567752 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshZones.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/conformalVoronoiMeshZones.dep
@@ -461,12 +461,12 @@ conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/DistributedDelauna
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/conformalVoronoiMeshZones.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/conformalVoronoiMeshZones.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/conformalVoronoiMeshZones.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
-conformalVoronoiMesh/conformalVoronoiMeshZones.dep: conformalVoronoiMesh/pointConversion.H
+conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/pointConversion.H
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: lnInclude/DelaunayMeshIO.C
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvMesh.H
 conformalVoronoiMesh/conformalVoronoiMeshZones.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduMesh.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep
index 19df6af..25f16c7 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep
@@ -467,9 +467,9 @@ conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/pointConversion.H
@@ -659,7 +659,7 @@ conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJE
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/sphericalTensorFieldField.C
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/tensorFieldField.C
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/calculatedFvPatchFields.H
-conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: conformalVoronoiMesh/featurePointConformer/pointFeatureEdgesTypes.H
+conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/pointFeatureEdgesTypes.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/conformalVoronoiMeshI.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/indexedVertexOps.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformer.dep: lnInclude/indexedVertexOpsTemplates.C
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep
index f0877bc..05976b3 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep
@@ -466,9 +466,9 @@ conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/DelaunayMesh.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/DelaunayMeshI.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/DelaunayMesh.C
-conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: PrintTable/PrintTable.H
-conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: PrintTable/PrintTableI.H
-conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: PrintTable/PrintTable.C
+conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/PrintTable.H
+conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/PrintTableI.H
+conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/PrintTable.C
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 conformalVoronoiMesh/featurePointConformer/featurePointConformerSpecialisations.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformationSurfaces/conformationSurfaces.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformationSurfaces/conformationSurfaces.dep
index 306259d..12706c3 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformationSurfaces/conformationSurfaces.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/conformationSurfaces/conformationSurfaces.dep
@@ -461,9 +461,9 @@ conformationSurfaces/conformationSurfaces.dep: lnInclude/DistributedDelaunayMesh
 conformationSurfaces/conformationSurfaces.dep: lnInclude/DelaunayMesh.H
 conformationSurfaces/conformationSurfaces.dep: lnInclude/DelaunayMeshI.H
 conformationSurfaces/conformationSurfaces.dep: lnInclude/DelaunayMesh.C
-conformationSurfaces/conformationSurfaces.dep: PrintTable/PrintTable.H
-conformationSurfaces/conformationSurfaces.dep: PrintTable/PrintTableI.H
-conformationSurfaces/conformationSurfaces.dep: PrintTable/PrintTable.C
+conformationSurfaces/conformationSurfaces.dep: lnInclude/PrintTable.H
+conformationSurfaces/conformationSurfaces.dep: lnInclude/PrintTableI.H
+conformationSurfaces/conformationSurfaces.dep: lnInclude/PrintTable.C
 conformationSurfaces/conformationSurfaces.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 conformationSurfaces/conformationSurfaces.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 conformationSurfaces/conformationSurfaces.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cvControls/cvControls.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cvControls/cvControls.dep
index 06661e0..a723e89 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cvControls/cvControls.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/cvControls/cvControls.dep
@@ -463,9 +463,9 @@ cvControls/cvControls.dep: lnInclude/DistributedDelaunayMesh.H
 cvControls/cvControls.dep: lnInclude/DelaunayMesh.H
 cvControls/cvControls.dep: lnInclude/DelaunayMeshI.H
 cvControls/cvControls.dep: lnInclude/DelaunayMesh.C
-cvControls/cvControls.dep: PrintTable/PrintTable.H
-cvControls/cvControls.dep: PrintTable/PrintTableI.H
-cvControls/cvControls.dep: PrintTable/PrintTable.C
+cvControls/cvControls.dep: lnInclude/PrintTable.H
+cvControls/cvControls.dep: lnInclude/PrintTableI.H
+cvControls/cvControls.dep: lnInclude/PrintTable.C
 cvControls/cvControls.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 cvControls/cvControls.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 cvControls/cvControls.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/autoDensity/autoDensity.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/autoDensity/autoDensity.dep
index 5e5e3c7..b019190 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/autoDensity/autoDensity.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/autoDensity/autoDensity.dep
@@ -463,9 +463,9 @@ initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/DistributedDelaunayMe
 initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/autoDensity/autoDensity.dep: PrintTable/PrintTable.H
-initialPointsMethod/autoDensity/autoDensity.dep: PrintTable/PrintTableI.H
-initialPointsMethod/autoDensity/autoDensity.dep: PrintTable/PrintTable.C
+initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/PrintTable.H
+initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/PrintTableI.H
+initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/PrintTable.C
 initialPointsMethod/autoDensity/autoDensity.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/autoDensity/autoDensity.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/autoDensity/autoDensity.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep
index 028db12..7944aa8 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep
@@ -463,9 +463,9 @@ initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/Distributed
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: PrintTable/PrintTable.H
-initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: PrintTable/PrintTableI.H
-initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: PrintTable/PrintTable.C
+initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/PrintTable.H
+initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/PrintTableI.H
+initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/PrintTable.C
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/bodyCentredCubic/bodyCentredCubic.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/faceCentredCubic/faceCentredCubic.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/faceCentredCubic/faceCentredCubic.dep
index a82ed6c..2fc0dcb 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/faceCentredCubic/faceCentredCubic.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/faceCentredCubic/faceCentredCubic.dep
@@ -463,9 +463,9 @@ initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/Distributed
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: PrintTable/PrintTable.H
-initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: PrintTable/PrintTableI.H
-initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: PrintTable/PrintTable.C
+initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/PrintTable.H
+initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/PrintTableI.H
+initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/PrintTable.C
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/faceCentredCubic/faceCentredCubic.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/initialPointsMethod/initialPointsMethod.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/initialPointsMethod/initialPointsMethod.dep
index c6be022..18aee9e 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/initialPointsMethod/initialPointsMethod.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/initialPointsMethod/initialPointsMethod.dep
@@ -462,9 +462,9 @@ initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/Distr
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: PrintTable/PrintTable.H
-initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: PrintTable/PrintTableI.H
-initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: PrintTable/PrintTable.C
+initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/PrintTable.H
+initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/PrintTableI.H
+initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/PrintTable.C
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/initialPointsMethod/initialPointsMethod.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/pointFile/pointFile.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/pointFile/pointFile.dep
index 8867098..634adb3 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/pointFile/pointFile.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/pointFile/pointFile.dep
@@ -463,9 +463,9 @@ initialPointsMethod/pointFile/pointFile.dep: lnInclude/DistributedDelaunayMesh.H
 initialPointsMethod/pointFile/pointFile.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/pointFile/pointFile.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/pointFile/pointFile.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/pointFile/pointFile.dep: PrintTable/PrintTable.H
-initialPointsMethod/pointFile/pointFile.dep: PrintTable/PrintTableI.H
-initialPointsMethod/pointFile/pointFile.dep: PrintTable/PrintTable.C
+initialPointsMethod/pointFile/pointFile.dep: lnInclude/PrintTable.H
+initialPointsMethod/pointFile/pointFile.dep: lnInclude/PrintTableI.H
+initialPointsMethod/pointFile/pointFile.dep: lnInclude/PrintTable.C
 initialPointsMethod/pointFile/pointFile.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/pointFile/pointFile.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/pointFile/pointFile.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/rayShooting/rayShooting.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/rayShooting/rayShooting.dep
index 0c7452a..03623b7 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/rayShooting/rayShooting.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/rayShooting/rayShooting.dep
@@ -463,9 +463,9 @@ initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/DistributedDelaunayMe
 initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/rayShooting/rayShooting.dep: PrintTable/PrintTable.H
-initialPointsMethod/rayShooting/rayShooting.dep: PrintTable/PrintTableI.H
-initialPointsMethod/rayShooting/rayShooting.dep: PrintTable/PrintTable.C
+initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/PrintTable.H
+initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/PrintTableI.H
+initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/PrintTable.C
 initialPointsMethod/rayShooting/rayShooting.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/rayShooting/rayShooting.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/rayShooting/rayShooting.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/uniformGrid/uniformGrid.dep b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/uniformGrid/uniformGrid.dep
index de58a3c..71db29f 100644
--- a/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/uniformGrid/uniformGrid.dep
+++ b/applications/utilities/mesh/generation/foamyHexMesh/conformalVoronoiMesh/initialPointsMethod/uniformGrid/uniformGrid.dep
@@ -463,9 +463,9 @@ initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/DistributedDelaunayMe
 initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/DelaunayMesh.H
 initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/DelaunayMeshI.H
 initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/DelaunayMesh.C
-initialPointsMethod/uniformGrid/uniformGrid.dep: PrintTable/PrintTable.H
-initialPointsMethod/uniformGrid/uniformGrid.dep: PrintTable/PrintTableI.H
-initialPointsMethod/uniformGrid/uniformGrid.dep: PrintTable/PrintTable.C
+initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/PrintTable.H
+initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/PrintTableI.H
+initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/PrintTable.C
 initialPointsMethod/uniformGrid/uniformGrid.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/scalarIOField.H
 initialPointsMethod/uniformGrid/uniformGrid.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/labelIOField.H
 initialPointsMethod/uniformGrid/uniformGrid.dep: lnInclude/pointConversion.H
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4Foam.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4Foam.dep
index 3642222..d27c922 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4Foam.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4Foam.dep
@@ -539,9 +539,26 @@ vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaVi
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4Foam.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
@@ -563,7 +580,6 @@ vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaVi
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkRenderer.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkRenderingCoreModule.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkAutoInit.h
-vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkViewport.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVolumeCollection.h
 vtkPV4Foam.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPropCollection.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamFields.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamFields.dep
index 4f92985..4ab98c9 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamFields.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamFields.dep
@@ -539,9 +539,26 @@ vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamFields.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamFields.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMesh.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMesh.dep
index 6cedd9e..c917d45 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMesh.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMesh.dep
@@ -539,9 +539,26 @@ vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/Pa
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamMesh.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamMesh.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshLagrangian.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshLagrangian.dep
index 0b86a10..f74f2bc 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshLagrangian.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshLagrangian.dep
@@ -539,9 +539,26 @@ vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/lin
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamMeshLagrangian.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamMeshLagrangian.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshSet.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshSet.dep
index b8de966..df813a3 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshSet.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshSet.dep
@@ -539,9 +539,26 @@ vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamMeshSet.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamMeshSet.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshVolume.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshVolume.dep
index 7d6ecac..4f7c118 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshVolume.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshVolume.dep
@@ -539,9 +539,26 @@ vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamMeshVolume.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamMeshVolume.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshZone.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshZone.dep
index 3b72969..82ba803 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshZone.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamMeshZone.dep
@@ -539,9 +539,26 @@ vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gc
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamMeshZone.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamMeshZone.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUpdateInfo.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUpdateInfo.dep
index e549338..91b4ce4 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUpdateInfo.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUpdateInfo.dep
@@ -539,9 +539,26 @@ vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamUpdateInfo.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamUpdateInfo.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUtils.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUtils.dep
index c534957..b13be05 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUtils.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4FoamReader/vtkPV4Foam/vtkPV4FoamUtils.dep
@@ -539,9 +539,26 @@ vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/P
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4FoamUtils.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPolyData.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkPointSet.h
@@ -562,7 +579,6 @@ vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/P
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMultiBlockDataSet.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataObjectTree.h
 vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCompositeDataSet.h
-vtkPV4FoamUtils.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
 $(OBJECTS_DIR)/vtkPV4FoamUtils.o: $(EXE_DEP)
 $(OBJECTS_DIR)/vtkPV4FoamUtils.o:
 	@SOURCE_DIR=.
diff --git a/applications/utilities/postProcessing/graphics/PV4Readers/PV4blockMeshReader/vtkPV4blockMesh/vtkPV4blockMeshConvert.dep b/applications/utilities/postProcessing/graphics/PV4Readers/PV4blockMeshReader/vtkPV4blockMesh/vtkPV4blockMeshConvert.dep
index 1493e6d..ac9e33d 100644
--- a/applications/utilities/postProcessing/graphics/PV4Readers/PV4blockMeshReader/vtkPV4blockMesh/vtkPV4blockMeshConvert.dep
+++ b/applications/utilities/postProcessing/graphics/PV4Readers/PV4blockMeshReader/vtkPV4blockMesh/vtkPV4blockMeshConvert.dep
@@ -379,9 +379,26 @@ vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypeTraits.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArrayIterator.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkTypedDataArray.txx
-vtkPV4blockMeshConvert.dep: vtkDataArrayTemplateImplicit.txx
-vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplateImplicit.txx
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArrayTemplate.txx
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIterator.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplateImplicit.txx
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkArrayIteratorTemplate.txx
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkObjectFactory.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkIdList.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformation.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationDoubleVectorKey.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationKey.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCommonInformationKeyManager.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDebugLeaksManager.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationInformationVectorKey.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkInformationVector.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMappedDataArray.txx
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkSortDataArray.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkVariantCast.h
+vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCell.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkCellType.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkDataArraySelection.h
 vtkPV4blockMeshConvert.dep: /home/ofuser/OpenFOAM/ThirdParty-2.3.x/platforms/linux64Gcc/ParaView-4.1.0/include/paraview-4.1/vtkMultiBlockDataSet.h
diff --git a/applications/utilities/postProcessing/wall/wallHeatFlux/wallHeatFlux.dep b/applications/utilities/postProcessing/wall/wallHeatFlux/wallHeatFlux.dep
index 056ee3d..33fcb83 100644
--- a/applications/utilities/postProcessing/wall/wallHeatFlux/wallHeatFlux.dep
+++ b/applications/utilities/postProcessing/wall/wallHeatFlux/wallHeatFlux.dep
@@ -503,9 +503,7 @@ wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPat
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/zeroGradientFvPatchField.C
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.H
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcAverage.C
-wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.H
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcReconstruct.C
 wallHeatFlux.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcDdt.H
diff --git a/src/OpenFOAM/db/IOstreams/IOstreams/IOstream.dep b/src/OpenFOAM/db/IOstreams/IOstreams/IOstream.dep
index 95c9787..23878a3 100644
--- a/src/OpenFOAM/db/IOstreams/IOstreams/IOstream.dep
+++ b/src/OpenFOAM/db/IOstreams/IOstreams/IOstream.dep
@@ -29,7 +29,7 @@ db/IOstreams/IOstreams/IOstream.dep: db/IOstreams/IOstreams/InfoProxy.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/error.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/messageStream.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/OSstream.H
-db/IOstreams/IOstreams/IOstream.dep: db/IOstreams/IOstreams/Ostream.H
+db/IOstreams/IOstreams/IOstream.dep: lnInclude/Ostream.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/keyType.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/keyTypeI.H
 db/IOstreams/IOstreams/IOstream.dep: lnInclude/OSstreamI.H
diff --git a/src/OpenFOAM/db/IOstreams/IOstreams/Istream.dep b/src/OpenFOAM/db/IOstreams/IOstreams/Istream.dep
index 65f9107..302e27d 100644
--- a/src/OpenFOAM/db/IOstreams/IOstreams/Istream.dep
+++ b/src/OpenFOAM/db/IOstreams/IOstreams/Istream.dep
@@ -33,7 +33,7 @@ db/IOstreams/IOstreams/Istream.dep: lnInclude/typeInfo.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/error.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/messageStream.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/OSstream.H
-db/IOstreams/IOstreams/Istream.dep: db/IOstreams/IOstreams/Ostream.H
+db/IOstreams/IOstreams/Istream.dep: lnInclude/Ostream.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/keyType.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/keyTypeI.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/OSstreamI.H
@@ -84,7 +84,7 @@ db/IOstreams/IOstreams/Istream.dep: lnInclude/SLPtrList.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/LPtrList.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/LPtrList.C
 db/IOstreams/IOstreams/Istream.dep: lnInclude/LPtrListIO.C
-db/IOstreams/IOstreams/Istream.dep: db/IOstreams/IOstreams/INew.H
+db/IOstreams/IOstreams/Istream.dep: lnInclude/INew.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/PtrListIO.C
 db/IOstreams/IOstreams/Istream.dep: lnInclude/IndirectList.H
 db/IOstreams/IOstreams/Istream.dep: lnInclude/UIndirectList.H
diff --git a/src/OpenFOAM/db/IOstreams/IOstreams/Ostream.dep b/src/OpenFOAM/db/IOstreams/IOstreams/Ostream.dep
index 11bad2b..a49bad7 100644
--- a/src/OpenFOAM/db/IOstreams/IOstreams/Ostream.dep
+++ b/src/OpenFOAM/db/IOstreams/IOstreams/Ostream.dep
@@ -61,7 +61,7 @@ db/IOstreams/IOstreams/Ostream.dep: lnInclude/SLList.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LList.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LList.C
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LListIO.C
-db/IOstreams/IOstreams/Ostream.dep: db/IOstreams/IOstreams/Istream.H
+db/IOstreams/IOstreams/Ostream.dep: lnInclude/Istream.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/SLListBase.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/SLListBaseI.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/ListI.H
@@ -84,7 +84,7 @@ db/IOstreams/IOstreams/Ostream.dep: lnInclude/SLPtrList.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LPtrList.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LPtrList.C
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/LPtrListIO.C
-db/IOstreams/IOstreams/Ostream.dep: db/IOstreams/IOstreams/INew.H
+db/IOstreams/IOstreams/Ostream.dep: lnInclude/INew.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/PtrListIO.C
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/IndirectList.H
 db/IOstreams/IOstreams/Ostream.dep: lnInclude/UIndirectList.H
diff --git a/src/OpenFOAM/db/IOstreams/Sstreams/ISstream.dep b/src/OpenFOAM/db/IOstreams/Sstreams/ISstream.dep
index 5369d52..f0ae3fb 100644
--- a/src/OpenFOAM/db/IOstreams/Sstreams/ISstream.dep
+++ b/src/OpenFOAM/db/IOstreams/Sstreams/ISstream.dep
@@ -33,11 +33,11 @@ db/IOstreams/Sstreams/ISstream.dep: lnInclude/refCount.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/typeInfo.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/error.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/messageStream.H
-db/IOstreams/Sstreams/ISstream.dep: db/IOstreams/Sstreams/OSstream.H
+db/IOstreams/Sstreams/ISstream.dep: lnInclude/OSstream.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/Ostream.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/keyType.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/keyTypeI.H
-db/IOstreams/Sstreams/ISstream.dep: db/IOstreams/Sstreams/OSstreamI.H
+db/IOstreams/Sstreams/ISstream.dep: lnInclude/OSstreamI.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/errorManip.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/className.H
 db/IOstreams/Sstreams/ISstream.dep: lnInclude/debug.H
diff --git a/src/OpenFOAM/db/IOstreams/Sstreams/OSstream.dep b/src/OpenFOAM/db/IOstreams/Sstreams/OSstream.dep
index 3dc2bec..e344b18 100644
--- a/src/OpenFOAM/db/IOstreams/Sstreams/OSstream.dep
+++ b/src/OpenFOAM/db/IOstreams/Sstreams/OSstream.dep
@@ -14,7 +14,7 @@ db/IOstreams/Sstreams/OSstream.dep: lnInclude/stringI.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/wordI.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/long.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/longLong.H
-db/IOstreams/Sstreams/OSstream.dep: db/IOstreams/Sstreams/OSstream.H
+db/IOstreams/Sstreams/OSstream.dep: lnInclude/OSstream.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/Ostream.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/IOstream.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/bool.H
@@ -32,7 +32,7 @@ db/IOstreams/Sstreams/OSstream.dep: lnInclude/fileNameI.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/InfoProxy.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/keyType.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/keyTypeI.H
-db/IOstreams/Sstreams/OSstream.dep: db/IOstreams/Sstreams/OSstreamI.H
+db/IOstreams/Sstreams/OSstream.dep: lnInclude/OSstreamI.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/errorManip.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/token.H
 db/IOstreams/Sstreams/OSstream.dep: lnInclude/refCount.H
diff --git a/src/OpenFOAM/db/IOstreams/Sstreams/SstreamsPrint.dep b/src/OpenFOAM/db/IOstreams/Sstreams/SstreamsPrint.dep
index 30a4182..3ae11ff 100644
--- a/src/OpenFOAM/db/IOstreams/Sstreams/SstreamsPrint.dep
+++ b/src/OpenFOAM/db/IOstreams/Sstreams/SstreamsPrint.dep
@@ -33,11 +33,11 @@ db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/refCount.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/typeInfo.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/error.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/messageStream.H
-db/IOstreams/Sstreams/SstreamsPrint.dep: db/IOstreams/Sstreams/OSstream.H
+db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/OSstream.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/Ostream.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/keyType.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/keyTypeI.H
-db/IOstreams/Sstreams/SstreamsPrint.dep: db/IOstreams/Sstreams/OSstreamI.H
+db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/OSstreamI.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/errorManip.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/className.H
 db/IOstreams/Sstreams/SstreamsPrint.dep: lnInclude/debug.H
diff --git a/src/OpenFOAM/db/IOstreams/Sstreams/prefixOSstream.dep b/src/OpenFOAM/db/IOstreams/Sstreams/prefixOSstream.dep
index 72f076c..03657f1 100644
--- a/src/OpenFOAM/db/IOstreams/Sstreams/prefixOSstream.dep
+++ b/src/OpenFOAM/db/IOstreams/Sstreams/prefixOSstream.dep
@@ -119,8 +119,8 @@ db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/UIPstream.H
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/IPstream.H
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/combineGatherScatter.C
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/IOstreams.H
-db/IOstreams/Sstreams/prefixOSstream.dep: db/IOstreams/Sstreams/ISstream.H
-db/IOstreams/Sstreams/prefixOSstream.dep: db/IOstreams/Sstreams/ISstreamI.H
+db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/ISstream.H
+db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/ISstreamI.H
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/gatherScatterList.C
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/exchange.C
 db/IOstreams/Sstreams/prefixOSstream.dep: lnInclude/PstreamCombineReduceOps.H
diff --git a/src/OpenFOAM/db/IOstreams/Sstreams/readHexLabel.dep b/src/OpenFOAM/db/IOstreams/Sstreams/readHexLabel.dep
index 496f4b6..a5e4ee0 100644
--- a/src/OpenFOAM/db/IOstreams/Sstreams/readHexLabel.dep
+++ b/src/OpenFOAM/db/IOstreams/Sstreams/readHexLabel.dep
@@ -34,11 +34,11 @@ db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/refCount.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/typeInfo.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/error.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/messageStream.H
-db/IOstreams/Sstreams/readHexLabel.dep: db/IOstreams/Sstreams/OSstream.H
+db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/OSstream.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/Ostream.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/keyType.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/keyTypeI.H
-db/IOstreams/Sstreams/readHexLabel.dep: db/IOstreams/Sstreams/OSstreamI.H
+db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/OSstreamI.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/errorManip.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/className.H
 db/IOstreams/Sstreams/readHexLabel.dep: lnInclude/debug.H
diff --git a/src/OpenFOAM/db/dictionary/entry/entryIO.dep b/src/OpenFOAM/db/dictionary/entry/entryIO.dep
index ce914a0..0bc35c6 100644
--- a/src/OpenFOAM/db/dictionary/entry/entryIO.dep
+++ b/src/OpenFOAM/db/dictionary/entry/entryIO.dep
@@ -101,7 +101,7 @@ db/dictionary/entry/entryIO.dep: lnInclude/HashTableIO.C
 db/dictionary/entry/entryIO.dep: lnInclude/tokenI.H
 db/dictionary/entry/entryIO.dep: lnInclude/ISstreamI.H
 db/dictionary/entry/entryIO.dep: lnInclude/OStringStream.H
-db/dictionary/entry/entryIO.dep: db/dictionary/entry/entry.H
+db/dictionary/entry/entryIO.dep: lnInclude/entry.H
 db/dictionary/entry/entryIO.dep: lnInclude/IDLList.H
 db/dictionary/entry/entryIO.dep: lnInclude/ILList.H
 db/dictionary/entry/entryIO.dep: lnInclude/UILList.H
diff --git a/src/OpenFOAM/dimensionedTypes/dimensionedScalar/dimensionedScalar.dep b/src/OpenFOAM/dimensionedTypes/dimensionedScalar/dimensionedScalar.dep
index 6b2d5b9..2bc5f62 100644
--- a/src/OpenFOAM/dimensionedTypes/dimensionedScalar/dimensionedScalar.dep
+++ b/src/OpenFOAM/dimensionedTypes/dimensionedScalar/dimensionedScalar.dep
@@ -12,7 +12,7 @@ dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/direction.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/dimensionSet.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/bool.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/pTraits.H
-dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: dimensionedTypes/dimensionedScalar/dimensionedScalarFwd.H
+dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/dimensionedScalarFwd.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/scalar.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/floatScalar.H
 dimensionedTypes/dimensionedScalar/dimensionedScalar.dep: lnInclude/doubleFloat.H
diff --git a/src/OpenFOAM/fields/Fields/labelField/labelIOField.dep b/src/OpenFOAM/fields/Fields/labelField/labelIOField.dep
index 9564be1..a452362 100644
--- a/src/OpenFOAM/fields/Fields/labelField/labelIOField.dep
+++ b/src/OpenFOAM/fields/Fields/labelField/labelIOField.dep
@@ -2,7 +2,7 @@ $(OBJECTS_DIR)/labelIOField.o: fields/Fields/labelField/labelIOField.dep
 fields/Fields/labelField/labelIOField.dep: fields/Fields/labelField/labelIOField.C
 fields/Fields/labelField/labelIOField.dep: fields/Fields/labelField/labelIOField.H
 fields/Fields/labelField/labelIOField.dep: lnInclude/primitiveFields.H
-fields/Fields/labelField/labelIOField.dep: fields/Fields/labelField/labelField.H
+fields/Fields/labelField/labelIOField.dep: lnInclude/labelField.H
 fields/Fields/labelField/labelIOField.dep: lnInclude/label.H
 fields/Fields/labelField/labelIOField.dep: lnInclude/pTraits.H
 fields/Fields/labelField/labelIOField.dep: lnInclude/direction.H
diff --git a/src/OpenFOAM/matrices/LduMatrix/LduMatrix/lduMatrices.dep b/src/OpenFOAM/matrices/LduMatrix/LduMatrix/lduMatrices.dep
index f2ed544..1065b91 100644
--- a/src/OpenFOAM/matrices/LduMatrix/LduMatrix/lduMatrices.dep
+++ b/src/OpenFOAM/matrices/LduMatrix/LduMatrix/lduMatrices.dep
@@ -211,7 +211,7 @@ matrices/LduMatrix/LduMatrix/lduMatrices.dep: matrices/LduMatrix/LduMatrix/LduMa
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: matrices/LduMatrix/LduMatrix/LduMatrix.C
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: lnInclude/lduMatrix.H
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: lnInclude/lduInterfaceFieldPtrsList.H
-matrices/LduMatrix/LduMatrix/lduMatrices.dep: matrices/LduMatrix/LduMatrix/solverPerformance.H
+matrices/LduMatrix/LduMatrix/lduMatrices.dep: lnInclude/solverPerformance.H
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: lnInclude/lduMatrixTemplates.C
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: matrices/LduMatrix/LduMatrix/LduMatrixOperations.C
 matrices/LduMatrix/LduMatrix/lduMatrices.dep: matrices/LduMatrix/LduMatrix/LduMatrixATmul.C
diff --git a/src/OpenFOAM/meshes/Identifiers/patch/coupleGroupIdentifier.dep b/src/OpenFOAM/meshes/Identifiers/patch/coupleGroupIdentifier.dep
index 54fa5cb..ef97ba5 100644
--- a/src/OpenFOAM/meshes/Identifiers/patch/coupleGroupIdentifier.dep
+++ b/src/OpenFOAM/meshes/Identifiers/patch/coupleGroupIdentifier.dep
@@ -253,7 +253,7 @@ meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/labelIOList.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/polyBoundaryMesh.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/polyPatchList.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/polyPatch.H
-meshes/Identifiers/patch/coupleGroupIdentifier.dep: meshes/Identifiers/patch/patchIdentifier.H
+meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/patchIdentifier.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/primitivePatch.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/PrimitivePatch.H
 meshes/Identifiers/patch/coupleGroupIdentifier.dep: lnInclude/objectHit.H
diff --git a/src/OpenFOAM/meshes/meshShapes/cellShape/cellShape.dep b/src/OpenFOAM/meshes/meshShapes/cellShape/cellShape.dep
index 09c929d..b49333f 100644
--- a/src/OpenFOAM/meshes/meshShapes/cellShape/cellShape.dep
+++ b/src/OpenFOAM/meshes/meshShapes/cellShape/cellShape.dep
@@ -222,7 +222,7 @@ meshes/meshShapes/cellShape/cellShape.dep: lnInclude/Map.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/cellMatcherI.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/primitiveMesh.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/cellList.H
-meshes/meshShapes/cellShape/cellShape.dep: meshes/meshShapes/cellShape/cellShapeList.H
+meshes/meshShapes/cellShape/cellShape.dep: lnInclude/cellShapeList.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/HashSet.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/nil.H
 meshes/meshShapes/cellShape/cellShape.dep: lnInclude/HashSet.C
diff --git a/src/OpenFOAM/meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep b/src/OpenFOAM/meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep
index 4316806..0f4dddc 100644
--- a/src/OpenFOAM/meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep
+++ b/src/OpenFOAM/meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep
@@ -231,7 +231,7 @@ meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/faceI.H
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/faceTemplates.C
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/addToRunTimeSelectionTable.H
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/polyBoundaryMesh.H
-meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: meshes/polyMesh/polyPatches/polyPatch/polyPatchList.H
+meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/polyPatchList.H
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/regIOobject.H
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/IOobject.H
 meshes/polyMesh/polyPatches/polyPatch/polyPatch.dep: lnInclude/IOobjectI.H
diff --git a/src/OpenFOAM/meshes/primitiveMesh/primitivePatch/patchZones.dep b/src/OpenFOAM/meshes/primitiveMesh/primitivePatch/patchZones.dep
index 8c745c0..6c54654 100644
--- a/src/OpenFOAM/meshes/primitiveMesh/primitivePatch/patchZones.dep
+++ b/src/OpenFOAM/meshes/primitiveMesh/primitivePatch/patchZones.dep
@@ -191,7 +191,7 @@ meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/triad.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/triadI.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/polyPatch.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/patchIdentifier.H
-meshes/primitiveMesh/primitivePatch/patchZones.dep: meshes/primitiveMesh/primitivePatch/primitivePatch.H
+meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/primitivePatch.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/PrimitivePatch.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/boolList.H
 meshes/primitiveMesh/primitivePatch/patchZones.dep: lnInclude/edgeList.H
diff --git a/src/OpenFOAM/primitives/bools/bool/boolIO.dep b/src/OpenFOAM/primitives/bools/bool/boolIO.dep
index 47b67ea..eba4773 100644
--- a/src/OpenFOAM/primitives/bools/bool/boolIO.dep
+++ b/src/OpenFOAM/primitives/bools/bool/boolIO.dep
@@ -17,7 +17,7 @@ primitives/bools/bool/boolIO.dep: lnInclude/longLong.H
 primitives/bools/bool/boolIO.dep: lnInclude/OSstream.H
 primitives/bools/bool/boolIO.dep: lnInclude/Ostream.H
 primitives/bools/bool/boolIO.dep: lnInclude/IOstream.H
-primitives/bools/bool/boolIO.dep: primitives/bools/bool/bool.H
+primitives/bools/bool/boolIO.dep: lnInclude/bool.H
 primitives/bools/bool/boolIO.dep: lnInclude/uLabel.H
 primitives/bools/bool/boolIO.dep: lnInclude/uint.H
 primitives/bools/bool/boolIO.dep: lnInclude/ulong.H
diff --git a/src/OpenFOAM/primitives/chars/char/charIO.dep b/src/OpenFOAM/primitives/chars/char/charIO.dep
index b2ec335..2e0d0d2 100644
--- a/src/OpenFOAM/primitives/chars/char/charIO.dep
+++ b/src/OpenFOAM/primitives/chars/char/charIO.dep
@@ -5,7 +5,7 @@ primitives/chars/char/charIO.dep: lnInclude/messageStream.H
 primitives/chars/char/charIO.dep: lnInclude/label.H
 primitives/chars/char/charIO.dep: lnInclude/pTraits.H
 primitives/chars/char/charIO.dep: lnInclude/direction.H
-primitives/chars/char/charIO.dep: primitives/chars/char/char.H
+primitives/chars/char/charIO.dep: lnInclude/char.H
 primitives/chars/char/charIO.dep: lnInclude/int.H
 primitives/chars/char/charIO.dep: lnInclude/word.H
 primitives/chars/char/charIO.dep: lnInclude/string.H
diff --git a/src/OpenFOAM/primitives/ints/int/intIO.dep b/src/OpenFOAM/primitives/ints/int/intIO.dep
index ec970d7..9d4e86c 100644
--- a/src/OpenFOAM/primitives/ints/int/intIO.dep
+++ b/src/OpenFOAM/primitives/ints/int/intIO.dep
@@ -6,7 +6,7 @@ primitives/ints/int/intIO.dep: lnInclude/label.H
 primitives/ints/int/intIO.dep: lnInclude/pTraits.H
 primitives/ints/int/intIO.dep: lnInclude/direction.H
 primitives/ints/int/intIO.dep: lnInclude/char.H
-primitives/ints/int/intIO.dep: primitives/ints/int/int.H
+primitives/ints/int/intIO.dep: lnInclude/int.H
 primitives/ints/int/intIO.dep: lnInclude/word.H
 primitives/ints/int/intIO.dep: lnInclude/string.H
 primitives/ints/int/intIO.dep: lnInclude/Hasher.H
diff --git a/src/OpenFOAM/primitives/ints/label/label.dep b/src/OpenFOAM/primitives/ints/label/label.dep
index 2227e4c..bae201c 100644
--- a/src/OpenFOAM/primitives/ints/label/label.dep
+++ b/src/OpenFOAM/primitives/ints/label/label.dep
@@ -2,7 +2,7 @@ $(OBJECTS_DIR)/label.o: primitives/ints/label/label.dep
 primitives/ints/label/label.dep: primitives/ints/label/label.C
 primitives/ints/label/label.dep: lnInclude/error.H
 primitives/ints/label/label.dep: lnInclude/messageStream.H
-primitives/ints/label/label.dep: primitives/ints/label/label.H
+primitives/ints/label/label.dep: lnInclude/label.H
 primitives/ints/label/label.dep: lnInclude/pTraits.H
 primitives/ints/label/label.dep: lnInclude/direction.H
 primitives/ints/label/label.dep: lnInclude/char.H
diff --git a/src/OpenFOAM/primitives/ints/long/longIO.dep b/src/OpenFOAM/primitives/ints/long/longIO.dep
index 958c621..658f2b5 100644
--- a/src/OpenFOAM/primitives/ints/long/longIO.dep
+++ b/src/OpenFOAM/primitives/ints/long/longIO.dep
@@ -12,7 +12,7 @@ primitives/ints/long/longIO.dep: lnInclude/string.H
 primitives/ints/long/longIO.dep: lnInclude/Hasher.H
 primitives/ints/long/longIO.dep: lnInclude/stringI.H
 primitives/ints/long/longIO.dep: lnInclude/wordI.H
-primitives/ints/long/longIO.dep: primitives/ints/long/long.H
+primitives/ints/long/longIO.dep: lnInclude/long.H
 primitives/ints/long/longIO.dep: lnInclude/longLong.H
 primitives/ints/long/longIO.dep: lnInclude/OSstream.H
 primitives/ints/long/longIO.dep: lnInclude/Ostream.H
diff --git a/src/OpenFOAM/primitives/ints/longLong/longLongIO.dep b/src/OpenFOAM/primitives/ints/longLong/longLongIO.dep
index 15dea13..f1f56fa 100644
--- a/src/OpenFOAM/primitives/ints/longLong/longLongIO.dep
+++ b/src/OpenFOAM/primitives/ints/longLong/longLongIO.dep
@@ -13,7 +13,7 @@ primitives/ints/longLong/longLongIO.dep: lnInclude/Hasher.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/stringI.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/wordI.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/long.H
-primitives/ints/longLong/longLongIO.dep: primitives/ints/longLong/longLong.H
+primitives/ints/longLong/longLongIO.dep: lnInclude/longLong.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/OSstream.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/Ostream.H
 primitives/ints/longLong/longLongIO.dep: lnInclude/IOstream.H
diff --git a/src/OpenFOAM/primitives/ints/uint/uintIO.dep b/src/OpenFOAM/primitives/ints/uint/uintIO.dep
index 0c562d4..0e30f08 100644
--- a/src/OpenFOAM/primitives/ints/uint/uintIO.dep
+++ b/src/OpenFOAM/primitives/ints/uint/uintIO.dep
@@ -19,7 +19,7 @@ primitives/ints/uint/uintIO.dep: lnInclude/Ostream.H
 primitives/ints/uint/uintIO.dep: lnInclude/IOstream.H
 primitives/ints/uint/uintIO.dep: lnInclude/bool.H
 primitives/ints/uint/uintIO.dep: lnInclude/uLabel.H
-primitives/ints/uint/uintIO.dep: primitives/ints/uint/uint.H
+primitives/ints/uint/uintIO.dep: lnInclude/uint.H
 primitives/ints/uint/uintIO.dep: lnInclude/ulong.H
 primitives/ints/uint/uintIO.dep: lnInclude/scalar.H
 primitives/ints/uint/uintIO.dep: lnInclude/floatScalar.H
diff --git a/src/OpenFOAM/primitives/ints/ulong/ulongIO.dep b/src/OpenFOAM/primitives/ints/ulong/ulongIO.dep
index 07ed2de..6034f89 100644
--- a/src/OpenFOAM/primitives/ints/ulong/ulongIO.dep
+++ b/src/OpenFOAM/primitives/ints/ulong/ulongIO.dep
@@ -20,7 +20,7 @@ primitives/ints/ulong/ulongIO.dep: lnInclude/IOstream.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/bool.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/uLabel.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/uint.H
-primitives/ints/ulong/ulongIO.dep: primitives/ints/ulong/ulong.H
+primitives/ints/ulong/ulongIO.dep: lnInclude/ulong.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/scalar.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/floatScalar.H
 primitives/ints/ulong/ulongIO.dep: lnInclude/doubleFloat.H
diff --git a/src/OpenFOAM/primitives/strings/string/stringIOList.dep b/src/OpenFOAM/primitives/strings/string/stringIOList.dep
index b6e4401..1e29ee3 100644
--- a/src/OpenFOAM/primitives/strings/string/stringIOList.dep
+++ b/src/OpenFOAM/primitives/strings/string/stringIOList.dep
@@ -2,10 +2,10 @@ $(OBJECTS_DIR)/stringIOList.o: primitives/strings/string/stringIOList.dep
 primitives/strings/string/stringIOList.dep: primitives/strings/string/stringIOList.C
 primitives/strings/string/stringIOList.dep: primitives/strings/string/stringIOList.H
 primitives/strings/string/stringIOList.dep: lnInclude/stringList.H
-primitives/strings/string/stringIOList.dep: primitives/strings/string/string.H
+primitives/strings/string/stringIOList.dep: lnInclude/string.H
 primitives/strings/string/stringIOList.dep: lnInclude/char.H
 primitives/strings/string/stringIOList.dep: lnInclude/Hasher.H
-primitives/strings/string/stringIOList.dep: primitives/strings/string/stringI.H
+primitives/strings/string/stringIOList.dep: lnInclude/stringI.H
 primitives/strings/string/stringIOList.dep: lnInclude/List.H
 primitives/strings/string/stringIOList.dep: lnInclude/UList.H
 primitives/strings/string/stringIOList.dep: lnInclude/bool.H
diff --git a/src/OpenFOAM/primitives/strings/word/wordIOList.dep b/src/OpenFOAM/primitives/strings/word/wordIOList.dep
index bf385ce..d115613 100644
--- a/src/OpenFOAM/primitives/strings/word/wordIOList.dep
+++ b/src/OpenFOAM/primitives/strings/word/wordIOList.dep
@@ -2,12 +2,12 @@ $(OBJECTS_DIR)/wordIOList.o: primitives/strings/word/wordIOList.dep
 primitives/strings/word/wordIOList.dep: primitives/strings/word/wordIOList.C
 primitives/strings/word/wordIOList.dep: primitives/strings/word/wordIOList.H
 primitives/strings/word/wordIOList.dep: lnInclude/wordList.H
-primitives/strings/word/wordIOList.dep: primitives/strings/word/word.H
+primitives/strings/word/wordIOList.dep: lnInclude/word.H
 primitives/strings/word/wordIOList.dep: lnInclude/string.H
 primitives/strings/word/wordIOList.dep: lnInclude/char.H
 primitives/strings/word/wordIOList.dep: lnInclude/Hasher.H
 primitives/strings/word/wordIOList.dep: lnInclude/stringI.H
-primitives/strings/word/wordIOList.dep: primitives/strings/word/wordI.H
+primitives/strings/word/wordIOList.dep: lnInclude/wordI.H
 primitives/strings/word/wordIOList.dep: lnInclude/List.H
 primitives/strings/word/wordIOList.dep: lnInclude/UList.H
 primitives/strings/word/wordIOList.dep: lnInclude/bool.H
diff --git a/src/TurbulenceModels/compressible/compressibleTurbulenceModels.dep b/src/TurbulenceModels/compressible/compressibleTurbulenceModels.dep
index f30a93d..d7eaf43 100644
--- a/src/TurbulenceModels/compressible/compressibleTurbulenceModels.dep
+++ b/src/TurbulenceModels/compressible/compressibleTurbulenceModels.dep
@@ -495,7 +495,7 @@ compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/c
 compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/calculatedFvsPatchField.C
 compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvsPatchFieldsFwd.H
 compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/calculatedFvsPatchFields.H
-compressibleTurbulenceModels.dep: compressibleTurbulenceModel.H
+compressibleTurbulenceModels.dep: lnInclude/compressibleTurbulenceModel.H
 compressibleTurbulenceModels.dep: lnInclude/CompressibleTurbulenceModel.C
 compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/basic/lnInclude/fluidThermo.H
 compressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/basic/lnInclude/basicThermo.H
diff --git a/src/TurbulenceModels/incompressible/incompressibleTurbulenceModels.dep b/src/TurbulenceModels/incompressible/incompressibleTurbulenceModels.dep
index 0b356b7..406e03c 100644
--- a/src/TurbulenceModels/incompressible/incompressibleTurbulenceModels.dep
+++ b/src/TurbulenceModels/incompressible/incompressibleTurbulenceModels.dep
@@ -495,7 +495,7 @@ incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude
 incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/calculatedFvsPatchField.C
 incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvsPatchFieldsFwd.H
 incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/calculatedFvsPatchFields.H
-incompressibleTurbulenceModels.dep: incompressibleTurbulenceModel.H
+incompressibleTurbulenceModels.dep: lnInclude/incompressibleTurbulenceModel.H
 incompressibleTurbulenceModels.dep: lnInclude/IncompressibleTurbulenceModel.C
 incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/transportModels/incompressible/lnInclude/transportModel.H
 incompressibleTurbulenceModels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/addToRunTimeSelectionTable.H
diff --git a/src/combustionModels/FSD/FSDs.dep b/src/combustionModels/FSD/FSDs.dep
index b32afa5..c11d92e 100644
--- a/src/combustionModels/FSD/FSDs.dep
+++ b/src/combustionModels/FSD/FSDs.dep
@@ -627,9 +627,7 @@ FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.H
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 FSD/FSDs.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/src/combustionModels/FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep b/src/combustionModels/FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep
index 352ed8e..aebdf22 100644
--- a/src/combustionModels/FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep
+++ b/src/combustionModels/FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep
@@ -542,9 +542,7 @@ FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.H
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/multivariateSurfaceInterpolationScheme.C
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/convectionScheme.C
-FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.H
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvmLaplacian.C
 FSD/reactionRateFlameAreaModels/relaxation/relaxation.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/laplacianScheme.H
diff --git a/src/combustionModels/diffusion/diffusions.dep b/src/combustionModels/diffusion/diffusions.dep
index d9893d8..a7c6c2e 100644
--- a/src/combustionModels/diffusion/diffusions.dep
+++ b/src/combustionModels/diffusion/diffusions.dep
@@ -610,9 +610,7 @@ diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gradSchem
 diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fv.H
 diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.H
 diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.C
-diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.H
-diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linearI.H
-diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/thermophysicalModels/specie/lnInclude/linear.C
+diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H
 diffusion/diffusions.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gaussGrad.C
 $(OBJECTS_DIR)/diffusions.o: $(EXE_DEP)
 $(OBJECTS_DIR)/diffusions.o:
diff --git a/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep b/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep
index fce9023..ecc9dd4 100644
--- a/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep
+++ b/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep
@@ -2,7 +2,7 @@ $(OBJECTS_DIR)/extendedEdgeMeshFormat.o: extendedEdgeMesh/extendedEdgeMeshFormat
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.C
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: lnInclude/extendedEdgeMesh.H
-extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: edgeMesh.H
+extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: lnInclude/edgeMesh.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointField.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/point.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/vector.H
@@ -205,7 +205,7 @@ extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMesh
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/nil.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/HashSet.C
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/memberFunctionSelectionTables.H
-extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: edgeMeshI.H
+extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: lnInclude/edgeMeshI.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/indexedOctree.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/treeBoundBox.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/boundBox.H
diff --git a/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep b/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep
index 96a34d3..2ecec20 100644
--- a/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep
+++ b/src/edgeMesh/extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep
@@ -2,7 +2,7 @@ $(OBJECTS_DIR)/extendedEdgeMeshFormatRunTime.o: extendedEdgeMesh/extendedEdgeMes
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.C
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormat.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: lnInclude/extendedEdgeMesh.H
-extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: edgeMesh.H
+extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: lnInclude/edgeMesh.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointField.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/point.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/vector.H
@@ -205,7 +205,7 @@ extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMesh
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/nil.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/HashSet.C
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/memberFunctionSelectionTables.H
-extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: edgeMeshI.H
+extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: lnInclude/edgeMeshI.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/indexedOctree.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/treeBoundBox.H
 extendedEdgeMesh/extendedEdgeMeshFormats/extendedEdgeMeshFormat/extendedEdgeMeshFormatRunTime.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/boundBox.H
diff --git a/src/edgeMesh/extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep b/src/edgeMesh/extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep
index b5c52d9..4694422 100644
--- a/src/edgeMesh/extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep
+++ b/src/edgeMesh/extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep
@@ -2,7 +2,7 @@ $(OBJECTS_DIR)/extendedFeatureEdgeMesh.o: extendedEdgeMesh/extendedFeatureEdgeMe
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.C
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: lnInclude/extendedEdgeMesh.H
-extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: edgeMesh.H
+extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: lnInclude/edgeMesh.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointField.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/point.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/vector.H
@@ -205,7 +205,7 @@ extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJE
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/nil.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/HashSet.C
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/memberFunctionSelectionTables.H
-extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: edgeMeshI.H
+extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: lnInclude/edgeMeshI.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/indexedOctree.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/treeBoundBox.H
 extendedEdgeMesh/extendedFeatureEdgeMesh/extendedFeatureEdgeMesh.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/boundBox.H
diff --git a/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchFields.dep b/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchFields.dep
index 8e95fab..eec7f8e 100644
--- a/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchFields.dep
+++ b/src/finiteVolume/fields/fvPatchFields/fvPatchField/fvPatchFields.dep
@@ -234,7 +234,7 @@ fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenF
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/faceTemplates.C
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/SubField.H
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/SubFieldI.H
-fields/fvPatchFields/fvPatchField/fvPatchFields.dep: fields/fvPatchFields/fvPatchField/fvPatchFieldsFwd.H
+fields/fvPatchFields/fvPatchField/fvPatchFields.dep: lnInclude/fvPatchFieldsFwd.H
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: lnInclude/fvPatchTemplates.C
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/DimensionedField.H
 fields/fvPatchFields/fvPatchField/fvPatchFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/regIOobject.H
diff --git a/src/finiteVolume/fields/surfaceFields/surfaceFields.dep b/src/finiteVolume/fields/surfaceFields/surfaceFields.dep
index c23903f..ce9b2e9 100644
--- a/src/finiteVolume/fields/surfaceFields/surfaceFields.dep
+++ b/src/finiteVolume/fields/surfaceFields/surfaceFields.dep
@@ -455,14 +455,14 @@ fields/surfaceFields/surfaceFields.dep: lnInclude/fvPatchFieldsFwd.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvPatchTemplates.C
 fields/surfaceFields/surfaceFields.dep: lnInclude/surfaceInterpolation.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/volFieldsFwd.H
-fields/surfaceFields/surfaceFields.dep: fields/surfaceFields/surfaceFieldsFwd.H
+fields/surfaceFields/surfaceFields.dep: lnInclude/surfaceFieldsFwd.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvSchemes.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvSolution.H
 fields/surfaceFields/surfaceFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/solution.H
 fields/surfaceFields/surfaceFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/solutionTemplates.C
 fields/surfaceFields/surfaceFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointFieldsFwd.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/slicedVolFieldsFwd.H
-fields/surfaceFields/surfaceFields.dep: fields/surfaceFields/slicedSurfaceFieldsFwd.H
+fields/surfaceFields/surfaceFields.dep: lnInclude/slicedSurfaceFieldsFwd.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvPatchFvMeshTemplates.C
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvsPatchFields.H
 fields/surfaceFields/surfaceFields.dep: lnInclude/fvsPatchField.H
diff --git a/src/finiteVolume/fields/volFields/volFields.dep b/src/finiteVolume/fields/volFields/volFields.dep
index 5de9134..f4200c0 100644
--- a/src/finiteVolume/fields/volFields/volFields.dep
+++ b/src/finiteVolume/fields/volFields/volFields.dep
@@ -454,14 +454,14 @@ fields/volFields/volFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/SubFiel
 fields/volFields/volFields.dep: lnInclude/fvPatchFieldsFwd.H
 fields/volFields/volFields.dep: lnInclude/fvPatchTemplates.C
 fields/volFields/volFields.dep: lnInclude/surfaceInterpolation.H
-fields/volFields/volFields.dep: fields/volFields/volFieldsFwd.H
+fields/volFields/volFields.dep: lnInclude/volFieldsFwd.H
 fields/volFields/volFields.dep: lnInclude/surfaceFieldsFwd.H
 fields/volFields/volFields.dep: lnInclude/fvSchemes.H
 fields/volFields/volFields.dep: lnInclude/fvSolution.H
 fields/volFields/volFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/solution.H
 fields/volFields/volFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/solutionTemplates.C
 fields/volFields/volFields.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointFieldsFwd.H
-fields/volFields/volFields.dep: fields/volFields/slicedVolFieldsFwd.H
+fields/volFields/volFields.dep: lnInclude/slicedVolFieldsFwd.H
 fields/volFields/volFields.dep: lnInclude/slicedSurfaceFieldsFwd.H
 fields/volFields/volFields.dep: lnInclude/fvPatchFvMeshTemplates.C
 fields/volFields/volFields.dep: lnInclude/fvPatchField.H
diff --git a/src/finiteVolume/fvMesh/fvPatches/fvPatch/fvPatch.dep b/src/finiteVolume/fvMesh/fvPatches/fvPatch/fvPatch.dep
index bef0831..d26bead 100644
--- a/src/finiteVolume/fvMesh/fvPatches/fvPatch/fvPatch.dep
+++ b/src/finiteVolume/fvMesh/fvPatches/fvPatch/fvPatch.dep
@@ -236,7 +236,7 @@ fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/fvPatchFieldsFwd.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: fvMesh/fvPatches/fvPatch/fvPatchTemplates.C
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/addToRunTimeSelectionTable.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/fvBoundaryMesh.H
-fvMesh/fvPatches/fvPatch/fvPatch.dep: fvMesh/fvPatches/fvPatch/fvPatchList.H
+fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/fvPatchList.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduInterfacePtrsList.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/lduInterface.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/UPtrList.H
@@ -359,7 +359,7 @@ fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/D
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/pointFieldsFwd.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/slicedVolFieldsFwd.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/slicedSurfaceFieldsFwd.H
-fvMesh/fvPatches/fvPatch/fvPatch.dep: fvMesh/fvPatches/fvPatch/fvPatchFvMeshTemplates.C
+fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/fvPatchFvMeshTemplates.C
 fvMesh/fvPatches/fvPatch/fvPatch.dep: lnInclude/volFields.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/GeometricFields.H
 fvMesh/fvPatches/fvPatch/fvPatch.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/GeometricScalarField.H
diff --git a/src/finiteVolume/interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep b/src/finiteVolume/interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep
index 34baab2..0fd4ab3 100644
--- a/src/finiteVolume/interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep
+++ b/src/finiteVolume/interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep
@@ -311,7 +311,7 @@ interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/SubFieldI.H
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/fvPatchFieldsFwd.H
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/fvPatchTemplates.C
-interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.H
+interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/surfaceInterpolation.H
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/volFieldsFwd.H
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/surfaceFieldsFwd.H
 interpolation/surfaceInterpolation/surfaceInterpolation/surfaceInterpolation.dep: lnInclude/fvSchemes.H
diff --git a/src/lagrangian/coalCombustion/coalParcel/makeCoalParcelSubmodels.dep b/src/lagrangian/coalCombustion/coalParcel/makeCoalParcelSubmodels.dep
index 9b21f2a..cee5c4d 100644
--- a/src/lagrangian/coalCombustion/coalParcel/makeCoalParcelSubmodels.dep
+++ b/src/lagrangian/coalCombustion/coalParcel/makeCoalParcelSubmodels.dep
@@ -755,7 +755,7 @@ coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/interme
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/SurfaceReactionModel.H
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/SurfaceReactionModel.C
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/SurfaceReactionModelNew.C
-coalParcel/makeCoalParcelSubmodels.dep: coalParcel/coalParcel.H
+coalParcel/makeCoalParcelSubmodels.dep: lnInclude/coalParcel.H
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcel.H
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcelI.H
 coalParcel/makeCoalParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcelTrackingDataI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep
index 902de3f..8d3323f 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep
@@ -705,7 +705,7 @@ parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelS
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: lnInclude/CollisionModel.H
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: lnInclude/CollisionModel.C
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: lnInclude/CollisionModelNew.C
-parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: parcels/derived/basicKinematicCollidingParcel/basicKinematicCollidingParcel.H
+parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: lnInclude/basicKinematicCollidingParcel.H
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntry.H
 parcels/derived/basicKinematicCollidingParcel/makeBasicKinematicCollidingParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntryI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep
index fcf6d41..04cf2da 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep
@@ -720,7 +720,7 @@ parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/physicoChemicalConstants.H
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: lnInclude/IsotropyModel.H
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: lnInclude/IsotropyModel.C
-parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: parcels/derived/basicKinematicMPPICParcel/basicKinematicMPPICParcel.H
+parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: lnInclude/basicKinematicMPPICParcel.H
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntry.H
 parcels/derived/basicKinematicMPPICParcel/makeBasicKinematicMPPICParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntryI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep
index 6c1fbc4..174c89d 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep
@@ -699,7 +699,7 @@ parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: $(WM
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/mappedFixedPushedInternalValueFvPatchField.C
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/regionModels/surfaceFilmModels/lnInclude/surfaceFilmModelI.H
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: lnInclude/SurfaceFilmModelNew.C
-parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: parcels/derived/basicKinematicParcel/basicKinematicParcel.H
+parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: lnInclude/basicKinematicParcel.H
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntry.H
 parcels/derived/basicKinematicParcel/makeBasicKinematicParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/demandDrivenEntryI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep
index fe683a9..470c9f2 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep
@@ -755,7 +755,7 @@ parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelS
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/SurfaceReactionModel.H
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/SurfaceReactionModel.C
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/SurfaceReactionModelNew.C
-parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: parcels/derived/basicReactingMultiphaseParcel/basicReactingMultiphaseParcel.H
+parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/basicReactingMultiphaseParcel.H
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/KinematicParcelI.H
 parcels/derived/basicReactingMultiphaseParcel/makeBasicReactingMultiphaseParcelSubmodels.dep: lnInclude/KinematicParcelTrackingDataI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep
index 5d53db2..e58a0d3 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep
@@ -745,7 +745,7 @@ parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnIncl
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/PhaseChangeModel.H
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/PhaseChangeModel.C
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/PhaseChangeModelNew.C
-parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: parcels/derived/basicReactingParcel/basicReactingParcel.H
+parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/basicReactingParcel.H
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/KinematicParcelI.H
 parcels/derived/basicReactingParcel/makeBasicReactingParcelSubmodels.dep: lnInclude/KinematicParcelTrackingDataI.H
diff --git a/src/lagrangian/intermediate/parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep b/src/lagrangian/intermediate/parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep
index 2438764..fce148d 100644
--- a/src/lagrangian/intermediate/parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep
+++ b/src/lagrangian/intermediate/parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep
@@ -733,7 +733,7 @@ parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/HeatTransferModel.H
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/HeatTransferModel.C
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/HeatTransferModelNew.C
-parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: parcels/derived/basicThermoParcel/basicThermoParcel.H
+parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/basicThermoParcel.H
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/KinematicParcel.H
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/KinematicParcelI.H
 parcels/derived/basicThermoParcel/makeBasicThermoParcelSubmodels.dep: lnInclude/KinematicParcelTrackingDataI.H
diff --git a/src/lagrangian/molecularDynamics/molecule/molecule/molecule.dep b/src/lagrangian/molecularDynamics/molecule/molecule/molecule.dep
index 909c2bd..34b7de5 100644
--- a/src/lagrangian/molecularDynamics/molecule/molecule/molecule.dep
+++ b/src/lagrangian/molecularDynamics/molecule/molecule/molecule.dep
@@ -432,7 +432,7 @@ molecule/molecule.dep: $(WM_PROJECT_DIR)/src/meshTools/lnInclude/cyclicAMIPolyPa
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/basic/lnInclude/CloudIO.C
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/basic/lnInclude/IOPosition.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/basic/lnInclude/IOPosition.C
-molecule/molecule.dep: molecule/molecule.H
+molecule/molecule.dep: lnInclude/molecule.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/basic/lnInclude/particle.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/tetrahedron.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/tetrahedronI.H
@@ -452,7 +452,7 @@ molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/basic/lnInclude/particle
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/symmetryPlanePolyPatch.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/symmetryPolyPatch.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/wedgePolyPatch.H
-molecule/molecule.dep: molecule/moleculeI.H
+molecule/molecule.dep: lnInclude/moleculeI.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/molecularDynamics/potential/lnInclude/potential.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/molecularDynamics/potential/lnInclude/pairPotentialList.H
 molecule/molecule.dep: $(WM_PROJECT_DIR)/src/lagrangian/molecularDynamics/potential/lnInclude/pairPotential.H
diff --git a/src/lagrangian/spray/parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep b/src/lagrangian/spray/parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep
index 23ed585..8c68eb8 100644
--- a/src/lagrangian/spray/parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep
+++ b/src/lagrangian/spray/parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep
@@ -755,7 +755,7 @@ parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: lnInclude/At
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: lnInclude/BreakupModel.H
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: lnInclude/BreakupModel.C
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: lnInclude/BreakupModelNew.C
-parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: parcels/derived/basicSprayParcel/basicSprayParcel.H
+parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: lnInclude/basicSprayParcel.H
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcel.H
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcelI.H
 parcels/derived/basicSprayParcel/makeBasicSprayParcelSubmodels.dep: $(WM_PROJECT_DIR)/src/lagrangian/intermediate/lnInclude/KinematicParcelTrackingDataI.H
diff --git a/src/regionModels/regionModel/regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep b/src/regionModels/regionModel/regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep
index c789989..ccd24be 100644
--- a/src/regionModels/regionModel/regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep
+++ b/src/regionModels/regionModel/regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep
@@ -526,8 +526,8 @@ regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.de
 regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: $(WM_PROJECT_DIR)/src/OpenFOAM/lnInclude/mergePoints.C
 regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: $(WM_PROJECT_DIR)/src/meshTools/lnInclude/mappedPatchBaseI.H
 regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: $(WM_PROJECT_DIR)/src/meshTools/lnInclude/mappedPatchBaseTemplates.C
-regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObjectList.H
-regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObjectListI.H
+regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: lnInclude/regionModelFunctionObjectList.H
+regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: lnInclude/regionModelFunctionObjectListI.H
 regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: lnInclude/regionModelI.H
 regionModelFunctionObject/regionModelFunctionObject/regionModelFunctionObject.dep: lnInclude/regionModelTemplates.C
 $(OBJECTS_DIR)/regionModelFunctionObject.o: $(EXE_DEP)

wyldckat

2014-08-14 18:20

updater   ~0003208

Attached 2 files:

 - "wmake_src.diff": It provides a patch with the modifications for the applications 'wmkdep' and 'wmkdepend', so that these they will search first for included files in the same folder as the file asking for the inclusion. Note: the file 'wmkdependParser.atg' was not modified, because I didn't have "coco-cpp" installed to test the changes on the original source code file.

 - "changes_in_resulting_dep_files.diff" - Demonstrates the changes that occur in the '*.dep' files when using the provided modifications.

This should solve the issue of mistakenly added dependencies to the '*.dep' files, when building OpenFOAM.

wyldckat

2014-08-14 18:24

updater  

wmkdep_wmkdepend_wmkdependParser.zip (11,138 bytes)

wyldckat

2014-08-14 18:25

updater   ~0003209

Also attached the file 'wmkdep_wmkdepend_wmkdependParser.zip', which provides only the modified files at 'wmake/src' that are modified by the patch file "wmake_src.diff".

wyldckat

2014-12-21 23:12

updater   ~0003351

I'm already a bit sleepy, but this looks great:

    diffusion/diffusion.C \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcGrad.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcGrad.C \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcSurfaceIntegrate.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fvcSurfaceIntegrate.C \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gaussGrad.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gradScheme.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gradScheme.C \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/fv.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/surfaceInterpolationScheme.C \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/linear.H \
    $(WM_PROJECT_DIR)/src/finiteVolume/lnInclude/gaussGrad.C \

Although the new location for the dependency file took me a while to find: "platforms/linux64GccDPOpt/src/combustionModels/diffusion/diffusions.C.dep"

This does make it a lot easier for having dedicated RPM/Deb packages for the "-dev" parts, if this ever comes to be a requirement!


Ah, I checked with one of the latest commits on the OpenFOAM-dev repo, namely commit 4d362576822a3fba2e923ef9ebc4354e2c6bb795

henry

2014-12-22 08:29

manager   ~0003352

I included the wdep utility to help find the dep files. Here is the description from the wmake header:

# General, easy to use make system for multi-platform development
# with support for local and network parallel compilation.
#
# This updated wmake supports out-of-tree object and dependency files to
# avoid the clutter which accumulates in the source-tree with the original
# wmake system. Now when building the OpenFOAM package both the object and
# dependency files are now located in a tree with the same structure as the
# source tree but in the platforms/$WM_OPTIONS sub-directory of
# $WM_PROJECT_DIR.
#
# When building user libraries and applications which are not located in the
# OpenFOAM source-tree the object and dependency files are located in a tree
# with the same structure as the source tree but in the Make/$WM_OPTIONS
# sub-directory.
#
# The disadvantage of the out-of-tree compilation is that the dependency
# files are harder to find but are sometimes useful to study which header
# files are included. For those who need access to the dependency files the
# new wdep script is provided to locate them.
# See the wdep script header or run:
# wdep -h

and the description of wdep:

# Script
# wdep <file>
# cat `wdep <file>`
#
# Description
# Find the dep-file corresponding to <file> and print the path.
#
# Note: wdep MUST be run from the directory containing <file>.
# If it proves useful an option could be added to search the local
# source-tree for <file> if it is not in the current directory.

henry

2014-12-22 18:36

manager   ~0003358

Resolved by commit e59ed485e34ce94f04f2f9585a373f1c785c97ef
in https://github.com/OpenFOAM/OpenFOAM-dev

Issue History

Date Modified Username Field Change
2014-03-14 09:47 wyldckat New Issue
2014-03-14 10:06 wyldckat Note Added: 0002946
2014-08-14 18:14 wyldckat File Added: wmake_src.diff
2014-08-14 18:14 wyldckat File Added: changes_in_resulting_dep_files.diff
2014-08-14 18:20 wyldckat Note Added: 0003208
2014-08-14 18:24 wyldckat File Added: wmkdep_wmkdepend_wmkdependParser.zip
2014-08-14 18:25 wyldckat Note Added: 0003209
2014-12-21 23:12 wyldckat Note Added: 0003351
2014-12-22 08:29 henry Note Added: 0003352
2014-12-22 18:36 henry Note Added: 0003358
2014-12-22 18:36 henry Status new => resolved
2014-12-22 18:36 henry Resolution open => fixed
2014-12-22 18:36 henry Assigned To => henry